/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$('.center-wrapper').css("overflow","hidden");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1750, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_S_G01_U02_LO6_03_01_room_8}", "click", function(sym, e) {
         sym.play(1751);
         sym.$("room8").fadeIn("slow");
         sym.getSymbol("room8").play();
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_S_G01_U02_LO6_03_01_room_7}", "click", function(sym, e) {
         sym.play(1751);
         sym.$("room7").fadeIn("slow");
         sym.getSymbol("room7").play();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_S_G01_U02_LO6_03_01_room_6}", "click", function(sym, e) {
         sym.play(1751);
         sym.$("room6").fadeIn("slow");
         sym.getSymbol("room6").play();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_S_G01_U02_LO6_03_01_room_5}", "click", function(sym, e) {
         sym.play(1751);
         sym.$("room5").fadeIn("slow");
         sym.getSymbol("room5").play();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_S_G01_U02_LO6_03_01_room_3}", "click", function(sym, e) {
         sym.play(1751);
         sym.$("room3").fadeIn("slow");
         sym.getSymbol("room3").play();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_S_G01_U02_LO6_03_01_room_2}", "click", function(sym, e) {
         sym.play(1751);
         sym.$("room2").fadeIn("slow");
         sym.getSymbol("room2").play(1);

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_S_G01_U02_LO6_03_01_room_1}", "click", function(sym, e) {
         sym.play(1751);
         sym.$("room1").fadeIn("slow");
         sym.getSymbol("room1").play();
         

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'bt_next'
   (function(symbolName) {   
   
      

      

      

      

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
      });
      //Edge binding end

      

   })("bt_next");
   //Edge symbol end:'bt_next'

   //=========================================================
   
   //Edge symbol: 'bt_back'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         

      });
      //Edge binding end

      

      

      

      

      

      

   })("bt_back");
   //Edge symbol end:'bt_back'

   //=========================================================
   
   //Edge symbol: 'slide_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         //CAMBIAR ESTA OPCIÓN A PLAY SI SE DESEA INICIAR LA ANIMACIÓN O SI ES IMAGEN FIJA PONERLA EN STOP 
         sym.stop();

      });
      //Edge binding end

      

      

      

      

      

      

      

   })("slide_1");
   //Edge symbol end:'slide_1'

   //=========================================================
   
   //Edge symbol: 'Hot_Spot'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("Hot_Spot");
   //Edge symbol end:'Hot_Spot'

   //=========================================================
   
   //Edge symbol: 'bg_defecto_simbolo'
   (function(symbolName) {   
   
   })("bg_defecto_simbolo");
   //Edge symbol end:'bg_defecto_simbolo'

   //=========================================================
   
   //Edge symbol: 'bt_info_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "click", function(sym, e) {
         sym.stop("down");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").$("pop_info").show();
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").getSymbol("pop_info").play("inicio");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "click", function(sym, e) {
         sym.stop("up");
         

      });
      //Edge binding end

   })("bt_cerrar");
   //Edge symbol end:'bt_cerrar'

   //=========================================================
   
   //Edge symbol: 'room1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         // introducir código aquí
         sym.getSymbol("dryer2").play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2250, function(sym, e) {
         sym.getSymbol("lamb").play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2500, function(sym, e) {
         sym.getSymbol("guitar").play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2750, function(sym, e) {
         sym.getSymbol("game").play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3000, function(sym, e) {
         sym.getSymbol("tv").play();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_dryer2}", "click", function(sym, e) {
         sym.getSymbol("dryer2").play(1251);
         sym.getSymbol("dryer2").getSymbol("point").play(1251);
         
         // Ocultar brillo
         sym.getSymbol("dryer2").$("shine1").hide();
         sym.getSymbol("dryer2").$("shine2").hide();
         
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_lamb}", "click", function(sym, e) {
         //sym.getSymbol("dryer2").play(1251);
         sym.getSymbol("lamb").getSymbol("point").play(1251);
         // Ocultar brillo
         sym.getSymbol("lamb").$("shine1").hide();
         sym.getSymbol("lamb").$("shine2").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getComposition().getStage().$("room1").fadeOut("slow");
         sym.getComposition().getStage().playReverse();
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_guitar}", "click", function(sym, e) {
         sym.getSymbol("guitar").play(1151);
         sym.getSymbol("guitar").getSymbol("point").play(1251);
         // Ocultar brillo
         sym.getSymbol("guitar").$("shine1").hide();
         sym.getSymbol("guitar").$("shine2").hide();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_tv}", "click", function(sym, e) {
         //sym.getSymbol("tv").play(1151);
         sym.getSymbol("tv").getSymbol("point").play(1251);
         // Ocultar brillo
         sym.getSymbol("tv").$("shine1").hide();
         sym.getSymbol("tv").$("shine2").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_game}", "click", function(sym, e) {
         sym.getSymbol("game").play(1151);
         sym.getSymbol("game").getSymbol("point").play(1251);
         // Ocultar brillo
         sym.getSymbol("game").$("shine1").hide();
         sym.getSymbol("game").$("shine2").hide();

      });
      //Edge binding end

   })("room1");
   //Edge symbol end:'room1'

   //=========================================================
   
   //Edge symbol: 'dryer'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1250, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2500, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("dryer");
   //Edge symbol end:'dryer'

   //=========================================================
   
   //Edge symbol: 'guitar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3500, function(sym, e) {
         
         sym.play(0);
         sym.$("point").hide();
         
         

      });
      //Edge binding end

   })("guitar");
   //Edge symbol end:'guitar'

   //=========================================================
   
   //Edge symbol: 'lamb'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         // introducir código aquí
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.play(0);

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3000, function(sym, e) {
         sym.$("point").hide();
         sym.play(0);

      });
      //Edge binding end

   })("lamb");
   //Edge symbol end:'lamb'

   //=========================================================
   
   //Edge symbol: 'game'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         // introducir código aquí
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.play(0);

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3750, function(sym, e) {
         sym.play(0);
         sym.$("point").hide();
         

      });
      //Edge binding end

   })("game");
   //Edge symbol end:'game'

   //=========================================================
   
   //Edge symbol: 'tv'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("tv");
   //Edge symbol end:'tv'

   //=========================================================
   
   //Edge symbol: 'point'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3500, function(sym, e) {
         // introducir código aquí
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.play(0);

      });
      //Edge binding end

   })("point");
   //Edge symbol end:'point'

   //=========================================================
   
   //Edge symbol: 'electricidad'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         
         sym.play(0);

      });
      //Edge binding end

   })("electricidad");
   //Edge symbol end:'electricidad'

   //=========================================================
   
   //Edge symbol: 'room2'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_lamp2}", "click", function(sym, e) {
         
         sym.getSymbol("lamp2").play();
         sym.getSymbol("lamp2").getSymbol("point").play(1151);
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_compter}", "click", function(sym, e) {
         
         sym.getSymbol("compter").play();
         sym.getSymbol("compter").getSymbol("point").play(1151);

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_print}", "click", function(sym, e) {
         
         sym.getSymbol("print").play();
         sym.getSymbol("print").getSymbol("point").play(1151);

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getComposition().getStage().playReverse();
         sym.getComposition().getStage().$("room2").fadeOut("slow");
         
         

      });
      //Edge binding end

   })("room2");
   //Edge symbol end:'room2'

   //=========================================================
   
   //Edge symbol: 'room2_1'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_phone}", "click", function(sym, e) {
         sym.getSymbol("phone").play();
         sym.getSymbol("phone").getSymbol("point").play(1251);
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_tv2}", "click", function(sym, e) {
         sym.getSymbol("tv2").play();
         sym.getSymbol("tv2").getSymbol("point").play(1251);

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_lamp3}", "click", function(sym, e) {
         sym.getSymbol("lamp3").play();
         sym.getSymbol("lamp3").getSymbol("point").play(1251);

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         
         sym.getComposition().getStage().playReverse();
         sym.getSymbolElement().fadeOut("slow");
         

      });
      //Edge binding end

   })("room3");
   //Edge symbol end:'room3'

   //=========================================================
   
   //Edge symbol: 'room3_1'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_alarm}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.getSymbol("alarm").play();
         sym.getSymbol("alarm").getSymbol("point").play(1251);
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bulb}", "click", function(sym, e) {
         sym.getSymbol("bulb").play();
         sym.getSymbol("bulb").getSymbol("point").play(1251);

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_drill}", "click", function(sym, e) {
         sym.getSymbol("drill").play();
         sym.getSymbol("drill").getSymbol("point").play(1251);

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_rotate}", "click", function(sym, e) {
         sym.getSymbol("rotate").play();
         sym.getSymbol("rotate").getSymbol("point").play(1251);

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar2}", "click", function(sym, e) {
         
         sym.getComposition().getStage().playReverse();
         sym.getSymbolElement().fadeOut("slow");
         

      });
      //Edge binding end

   })("room5");
   //Edge symbol end:'room5'

   //=========================================================
   
   //Edge symbol: 'room4_2'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_stereo}", "click", function(sym, e) {
         sym.getSymbol("stereo").getSymbol("talking").play();
         sym.getSymbol("stereo").getSymbol("point").play();
         sym.getSymbol("stereo").play();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_phoneHome}", "click", function(sym, e) {
         sym.getSymbol("phoneHome").play();
         sym.getSymbol("phoneHome").getSymbol("point9").play();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_fan}", "click", function(sym, e) {
         sym.getSymbol("fan").play();
         sym.getSymbol("fan").getSymbol("point").play();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar3}", "click", function(sym, e) {
         sym.getComposition().getStage().playReverse(); 
         sym.getSymbolElement().fadeOut("slow");
         

      });
      //Edge binding end

   })("room6");
   //Edge symbol end:'room6'

   //=========================================================
   
   //Edge symbol: 'lamp2'
   (function(symbolName) {   
   
   })("lamp2");
   //Edge symbol end:'lamp2'

   //=========================================================
   
   //Edge symbol: 'compter'
   (function(symbolName) {   
   
   })("compter");
   //Edge symbol end:'compter'

   //=========================================================
   
   //Edge symbol: 'print'
   (function(symbolName) {   
   
   })("print");
   //Edge symbol end:'print'

   //=========================================================
   
   //Edge symbol: 'lamp3'
   (function(symbolName) {   
   
   })("lamp3");
   //Edge symbol end:'lamp3'

   //=========================================================
   
   //Edge symbol: 'tv2'
   (function(symbolName) {   
   
   })("tv2");
   //Edge symbol end:'tv2'

   //=========================================================
   
   //Edge symbol: 'phone'
   (function(symbolName) {   
   
   })("phone");
   //Edge symbol end:'phone'

   //=========================================================
   
   //Edge symbol: 'alarm'
   (function(symbolName) {   
   
   })("alarm");
   //Edge symbol end:'alarm'

   //=========================================================
   
   //Edge symbol: 'bulb'
   (function(symbolName) {   
   
   })("bulb");
   //Edge symbol end:'bulb'

   //=========================================================
   
   //Edge symbol: 'drill'
   (function(symbolName) {   
   
   })("drill");
   //Edge symbol end:'drill'

   //=========================================================
   
   //Edge symbol: 'rotate'
   (function(symbolName) {   
   
   })("rotate");
   //Edge symbol end:'rotate'

   //=========================================================
   
   //Edge symbol: 'room6_1'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar4}", "click", function(sym, e) {
         sym.getComposition().getStage().playReverse(); 
         sym.getSymbolElement().hide();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_fridge}", "click", function(sym, e) {
         sym.getSymbol("fridge").getSymbol("point").play(1251);
         sym.getSymbol("fridge").play();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_stove}", "click", function(sym, e) {
         sym.getSymbol("stove").getSymbol("point").play(1251);
         sym.getSymbol("stove").play();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_toster}", "click", function(sym, e) {
         sym.getSymbol("toster").getSymbol("point").play(1251);
         sym.getSymbol("toster").play();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_blender}", "click", function(sym, e) {
         sym.getSymbol("blender").getSymbol("point").play(1251);
         sym.getSymbol("blender").play();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_microwave}", "click", function(sym, e) {
         sym.getSymbol("microwave").getSymbol("point").play(1251);
         sym.getSymbol("microwave").play();

      });
      //Edge binding end

      })("room7");
   //Edge symbol end:'room7'

   //=========================================================
   
   //Edge symbol: 'fan'
   (function(symbolName) {   
   
   })("fan");
   //Edge symbol end:'fan'

   //=========================================================
   
   //Edge symbol: 'phoneHome'
   (function(symbolName) {   
   
   })("phoneHome");
   //Edge symbol end:'phoneHome'

   //=========================================================
   
   //Edge symbol: 'stereo'
   (function(symbolName) {   
   
   })("stereo");
   //Edge symbol end:'stereo'

   //=========================================================
   
   //Edge symbol: 'talking'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         
         sym.play(0);

      });
      //Edge binding end

   })("talking");
   //Edge symbol end:'talking'

   //=========================================================
   
   //Edge symbol: 'room7_1'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar5}", "click", function(sym, e) {
         sym.getComposition().getStage().playReverse();
         sym.getSymbolElement().fadeOut("slow");

      });
      //Edge binding end

      })("room8");
   //Edge symbol end:'room8'

   //=========================================================
   
   //Edge symbol: 'Symbol_1'
   (function(symbolName) {   
   
   })("toster");
   //Edge symbol end:'toster'

   //=========================================================
   
   //Edge symbol: 'stove'
   (function(symbolName) {   
   
   })("stove");
   //Edge symbol end:'stove'

   //=========================================================
   
   //Edge symbol: 'microwave'
   (function(symbolName) {   
   
   })("microwave");
   //Edge symbol end:'microwave'

   //=========================================================
   
   //Edge symbol: 'fridge'
   (function(symbolName) {   
   
   })("fridge");
   //Edge symbol end:'fridge'

   //=========================================================
   
   //Edge symbol: 'blender'
   (function(symbolName) {   
   
   })("blender");
   //Edge symbol end:'blender'

})(jQuery, AdobeEdge, "EDGE-5531445");